Create Poll

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

eventIdstringRequired

Request

This endpoint expects an object.
typeenumRequired
questionstringRequired
statusenumOptional
allowMultiplebooleanOptional
isAnonymousbooleanOptional
ratingMaxintegerOptional
timeLimitSecintegerOptional
sortOrderintegerOptional
optionslist of objectsOptional

Response

This endpoint returns an object.
idstring
eventIdstring
typeenum
questionstring
statusenum
allowMultipleboolean
isAnonymousboolean
ratingMaxinteger
sortOrderinteger
optionslist of objects
createdAtdatetime
updatedAtdatetime
timeLimitSecintegerOptional
responseCountintegerOptional
launchedAtdatetimeOptional
closedAtdatetimeOptional

Errors

404
Not Found Error
422
Validation Error